# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nexpose_servicenow/version'

Gem::Specification.new do |spec|
  spec.name          = 'nexpose_servicenow'
  spec.version       = NexposeServiceNow::VERSION
  spec.authors       = ['David Valente', 'Adam Robinson']
  spec.email         = ['david_valente@rapid7.com']

  spec.require_paths = ['lib']
  spec.summary = %Q{Gem for Nexpose-ServiceNow integration.}
  spec.description = NexposeServiceNow::DEPRECATION_NOTICE
  spec.executables   = ['nexpose_servicenow']
  spec.homepage      = 'http://www.rapid7.com'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise 'RubyGems 2.0 or newer is required to protect against public gem pushes.'
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'bin'
  spec.require_paths = ['lib']
  spec.post_install_message = NexposeServiceNow::DEPRECATION_NOTICE

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'

  spec.required_ruby_version = ['>= 2.1.5']
end
